> For the complete documentation index, see [llms.txt](https://docs.cheqd.io/product/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cheqd.io/product/sdk/veramo/did-linked-resources/create-new-version.md).

# Create a new Resource version within existing Collection

Create a new DID-Linked Resource (DLR) within an existing collection of DLRs, through specifying the same resourceName and resourceType.

Follow these instructions to create a new DID and publish the associated DIDDoc on cheqd ledger.

> ⚠️ **Before you begin...**
>
> Make sure you've correctly [configured the cheqd plugin's agent settings](/product/sdk/veramo/setup.md) for Veramo CLI

## Instructions

### 1. Create a DID

Follow [this](/product/sdk/veramo/dids.md) tutorial to generate keys and create a DID.

### 2. Create a DID-Linked Resource

Follow [this](/product/sdk/veramo/did-linked-resources/create-resource.md) tutorial to create the first version of the resource.

### 3. Publish the new Resource version

Follow exactly the same steps as the first resource. Note that to create a new resource version which belongs to the same set as a previous resource, in the you **must specify the same**:

* **collectionId**
* **name**
* **resourceType**

Each resource in such a set has a link to the previous version (except the first version) and the next version (if it's not the most recent version).

New versions have dedicated unique IDs and can be referenced and retrieved as any other resources.

#### Steps

Follow [the same](/product/sdk/veramo/did-linked-resources/create-resource.md) tutorial as for resource creation, but use the same `collectionId,` `name` and `resourceType` as for the previous Resource version.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cheqd.io/product/sdk/veramo/did-linked-resources/create-new-version.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
